/****************************************************************************
**
** Copyright (C) 1992-2009 Nokia. All rights reserved.
**
** This file is part of Qt Jambi.
**
** ** No Commercial Usage
** This file contains pre-release code and may not be distributed.
** You may use this file in accordance with the terms and conditions
** contained in the either Technology Preview License Agreement or the
** Beta Release License Agreement.
**
** If you are unsure which license is appropriate for your use, please
** contact the sales department at qt-sales@nokia.com.


**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

package com.trolltech.examples.tutorial;

import com.trolltech.qt.gui.*;

//! [0]
public class Quit
{
    public static void main(String args[])
    {
        QApplication.initialize(args);

//! [1]
        QPushButton quit = new QPushButton("Quit");
//! [1] //! [2]
        quit.resize(80, 40);
//! [2] //! [3]
        quit.setFont(new QFont("Times", 18, QFont.Weight.Bold.value()));
//! [3]

//! [4]
        quit.clicked.connect(QApplication.instance(), "quit()");
//! [4]

        quit.setWindowTitle("Calling It Quits");
        quit.show();
        QApplication.exec();
    }
}
//! [0]
